"use strict";

var Actions = require("bloggify/actions");

// Handle submit
document.querySelector("#create-item").addEventListener("submit", async function (e) {
    e.preventDefault();

    // Create item
    var data = {
        content: document.querySelector("[name='content']").value
    };
    await Actions.post("items.create", data);

    // Append the last item
    var last = (await Actions.get("items.list")).pop();
    var $li = document.createElement("li");
    $li.textContent = last.content;
    document.getElementById("items-list").appendChild($li);
});